# Uses of Class
java.nio.channels.SelectionKey

Packages that use SelectionKey
Package
Description
java.nio.channels
Defines channels, which represent connections to entities that are capable of performing I/O operations, such as files and sockets; defines selectors, for multiplexed, non-blocking I/O operations.
java.nio.channels.spi
Service-provider classes for the `java.nio.channels` package.

## Uses of SelectionKey in java.nio.channels

Methods in java.nio.channels that return SelectionKey
Modifier and Type
Method
Description
`abstract SelectionKey`
SelectionKey.`interestOps(int ops)`
Sets this key's interest set to the given value.
`abstract SelectionKey`
SelectableChannel.`keyFor(Selector sel)`
Retrieves the key representing the channel's registration with the given selector.
`final SelectionKey`
SelectableChannel.`register(Selector sel, int ops)`
Registers this channel with the given selector, returning a selection key.
`abstract SelectionKey`
SelectableChannel.`register(Selector sel, int ops, Object att)`
Registers this channel with the given selector, returning a selection key.
Methods in java.nio.channels that return types with arguments of type SelectionKey
Modifier and Type
Method
Description
`abstract Set<SelectionKey>`
Selector.`keys()`
Returns this selector's key set.
`abstract Set<SelectionKey>`
Selector.`selectedKeys()`
Returns this selector's selected-key set.
Method parameters in java.nio.channels with type arguments of type SelectionKey
Modifier and Type
Method
Description
`int`
Selector.`select(Consumer<SelectionKey> action)`
Selects and performs an action on the keys whose corresponding channels are ready for I/O operations.
`int`
Selector.`select(Consumer<SelectionKey> action, long timeout)`
Selects and performs an action on the keys whose corresponding channels are ready for I/O operations.
`int`
Selector.`selectNow(Consumer<SelectionKey> action)`
Selects and performs an action on the keys whose corresponding channels are ready for I/O operations.

## Uses of SelectionKey in java.nio.channels.spi

Subclasses of SelectionKey in java.nio.channels.spi
Modifier and Type
Class
Description
`class`
`AbstractSelectionKey`
Base implementation class for selection keys.
Methods in java.nio.channels.spi that return SelectionKey
Modifier and Type
Method
Description
`final SelectionKey`
AbstractSelectableChannel.`keyFor(Selector sel)`
`final SelectionKey`
AbstractSelectableChannel.`register(Selector sel, int ops, Object att)`
Registers this channel with the given selector, returning a selection key.
`protected abstract SelectionKey`
AbstractSelector.`register(AbstractSelectableChannel ch, int ops, Object att)`
Registers the given channel with this selector.
Methods in java.nio.channels.spi that return types with arguments of type SelectionKey
Modifier and Type
Method
Description
`protected final Set<SelectionKey>`
AbstractSelector.`cancelledKeys()`
Retrieves this selector's cancelled-key set.